//
//  ViewController.m
//  CALayerAnimationsExample
//
//  Created by Matthew Houlden on 27/01/2017.
//  Copyright © 2017 Airsource. All rights reserved.
//

#import "ViewController.h"
#import "LinearProgressView1.h"
#import "LinearProgressView2.h"
#import "LinearProgressView3.h"

@interface ViewController ()

@property (strong, nonatomic) IBOutlet LinearProgressView1 *linearProgressView1;
@property (strong, nonatomic) IBOutlet LinearProgressView2 *linearProgressView2;
@property (strong, nonatomic) IBOutlet LinearProgressView3 *linearProgressView3;
@property (strong, nonatomic) IBOutlet UISlider *slider;

@end

@implementation ViewController

- (IBAction)setProgress:(id)sender
{
    CGFloat value = self.slider.value;
    self.linearProgressView1.progress = value;
    self.linearProgressView2.progress = value;
    self.linearProgressView3.progress = value;
}

@end
